open Core.Std

module BckMap = Block.LoopingMap

type t = unit BckMap.t ref

let empty            = ref BckMap.empty
let add ls l         = ls := BckMap.add ~key:l ~data:() !ls
let loops_among ls l = Option.is_some (BckMap.find !ls l)
let singleton l      = ref (BckMap.add ~key:l ~data:() BckMap.empty)
