type token =
  | INT of (int)
  | VAR of (string)
  | PROP of (string)
  | PLUS
  | MINUS
  | LPAREN
  | RPAREN
  | EQUAL
  | LE
  | LT
  | GE
  | GT
  | AND
  | OR
  | NOT
  | ITAND
  | ITOR
  | XOR
  | EQUIV
  | IMPLY
  | COMMA
  | DOTS
  | ST
  | INDEX
  | DEF
  | LET
  | EOF
  | IN

val main :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> Schema.t * Constraint.t
